Bug 302311 - Boot fail does not handle dmraid upon upgrade to 2.6.22
Boot fail does not handle dmraid upon upgrade to 2.6.22
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
6
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 14:33 EDT by Michelle Dupuis
Modified: 2008-05-06 15:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My modified inird init script (2.37 KB, text/plain)
2007-10-23 13:33 EDT, Thomas Babut
no flags Details

  None (edit)
Description Michelle Dupuis 2007-09-23 14:33:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.7) Gecko/20070914 Firefox/2.0.0.7

Description of problem:
I have a FC6 system running kernel 2.6.18 with nvidia (fake) raid - running fine.

After I upgraded the kernel (via rpm) to 2.6.22 the system fails to boot (error messages below).

I recompiled the kernel included dmraid support but no difference.  Is this a bug or am I doing something obviously wrong here...

device-mapper: table: 253:0: mirror: Device lookup failure
device-mapper: reload ioctl failed: No such device or address
Unable to access resume device (LABEL=SWAP-nvidiajfe)
mount: could not find filesystem '/dev/root'
setuproot: moving /dev/ failed: No such file or directory
setuprooot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: No such file or directory
Kernel panic - not syncing: Attempted to kill init!

Version-Release number of selected component (if applicable):
kernel-2-6-22

How reproducible:
Always


Steps to Reproduce:
1. Boot the 2.6.22 kernel (x86_64)
2.
3.

Actual Results:
See onscreen error message in DESCRIPTION section

Expected Results:
Should boot normally (as was the case under 2.6.18)

Additional info:
Comment 1 Michelle Dupuis 2007-09-25 19:36:39 EDT
A little more info...

I'm currently running Fc6 2.6.18-1.2849 (raid works great).
Version which fails to boot is FC6 2.6.22.5 (won't boot)


The motherboard is an ASUS A8N32-SLI-Deluxe, with onboard nvidia raid controller.
Comment 2 Thomas Babut 2007-10-14 13:07:29 EDT
I've got the same problem. Installing Fedora 8 Test 3 was not a problem. But
booting fails with the same errors. I've upgraded also to the latest rawhide
kernel within the rescue system and chroot. But it still fails to boot.

My machine is a Core 2 Duo with P35-Chipset and ICH9R Raid 0.
Comment 3 Thomas Babut 2007-10-23 13:33:31 EDT
Created attachment 235291 [details]
My modified inird init script
Comment 4 Thomas Babut 2007-10-23 13:34:22 EDT
(In reply to comment #3)
> Created an attachment (id=235291) [edit]
> My modified inird init script
> 

I've found a solution. After extracting the initrd image I've modified the init
script.

---

Find:
 rmparts sdb
 rmparts sda
 dm create isw_cbffadjbhf_Volume0 0 1250275840 striped 2 256 8:0 0 8:16 0

Add here:
 dm partadd isw_cbffadjbhf_Volume0

Find:
 echo Creating root device.

Add here:
 mkblkdevs

---

I've attached my initrd init script to my posting before.

Now the systems boots up fine. It would be great to fix this also for the Fedora
8 release.
Comment 5 Michelle Dupuis 2007-10-23 13:43:44 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Created an attachment (id=235291) [edit] [edit]
> > My modified inird init script
> > 
> 
> I've found a solution. After extracting the initrd image I've modified the init
> script.
> 
> ---
> 
> Find:
>  rmparts sdb
>  rmparts sda
>  dm create isw_cbffadjbhf_Volume0 0 1250275840 striped 2 256 8:0 0 8:16 0
> 
> Add here:
>  dm partadd isw_cbffadjbhf_Volume0
> 
> Find:
>  echo Creating root device.
> 
> Add here:
>  mkblkdevs
> 
> ---
> 
> I've attached my initrd init script to my posting before.
> 
> Now the systems boots up fine. It would be great to fix this also for the Fedora
> 8 release.

Is there any way to make the "dm create" parameters generic or programatically
determined?  I have no idea how to get the parameters for my setup...and I
suspect the the new initrd (for general distribution) would need something more
generic...

Could you let me know how to get the comparable parameters for my system?
Comment 6 Bug Zapper 2008-04-04 03:35:35 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:45:50 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.